Return one runtime entitlement.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/entitlement-operations/entitlements/example"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entitlement-operations/entitlements/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/entitlement-operations/entitlements/exampleAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Runtime entitlement detail response returned after reads, grants, renewals, lifecycle actions, and quantity operations.
object
Stable entitlement identifier.
Human-readable entitlement number used for support, audit review, and external references.
Entitlement model that owns the issued entitlement.
Display name of the owning entitlement model.
Plan snapshot used to issue the entitlement.
Display name of the issued plan.
Optional plan description captured for detail display.
Compact customer-owned entity instance reference.
object
UTC instant when the entitlement becomes effective.
Optional UTC instant when the entitlement period ends.
Optional UTC instant when the grace window ends.
UTC instant when the entitlement was issued.
User id that issued the entitlement when available.
Optional source metadata captured with the issuing command.
Terms text captured at issue time when the plan uses issued terms.
UTC instant when issued terms were captured.
Issued period history for the entitlement.
Issued period snapshot shown on entitlement detail.
object
Issued quantity or usage limits.
Issued limit snapshot shown on entitlement detail.
object
Recent quantity ledger rows shown on the detail response.
Compact quantity ledger row shown on entitlement detail.
object
Covered resources attached to the entitlement.
Issued resource snapshot shown on entitlement detail.
object
Compact customer-owned entity instance reference.
object
Explicit beneficiaries attached to the entitlement.
Issued beneficiary snapshot shown on entitlement detail.
object
Compact customer-owned entity instance reference.
object
Renewal policy id captured from the plan at issue time.
Renewal policy key captured from the plan at issue time.
Lead time captured from the renewal policy at issue time.
External renewal policy key captured at issue time.
Server-computed runtime actions available on an entitlement detail.
object
Optimistic concurrency token for entitlement mutations.
object
object
object
object
Example
{ "Data": { "ModelType": 0, "Status": 0, "EffectiveState": 0, "SourceType": 0, "Periods": [ { "Status": 0 } ], "Limits": [ { "LimitFamily": 0 } ], "QuantityLedger": [ { "Operation": 0, "SourceType": 0 } ], "RenewalModeSnapshot": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Runtime entitlement detail response returned after reads, grants, renewals, lifecycle actions, and quantity operations.
object
Stable entitlement identifier.
Human-readable entitlement number used for support, audit review, and external references.
Entitlement model that owns the issued entitlement.
Display name of the owning entitlement model.
Plan snapshot used to issue the entitlement.
Display name of the issued plan.
Optional plan description captured for detail display.
Compact customer-owned entity instance reference.
object
UTC instant when the entitlement becomes effective.
Optional UTC instant when the entitlement period ends.
Optional UTC instant when the grace window ends.
UTC instant when the entitlement was issued.
User id that issued the entitlement when available.
Optional source metadata captured with the issuing command.
Terms text captured at issue time when the plan uses issued terms.
UTC instant when issued terms were captured.
Issued period history for the entitlement.
Issued period snapshot shown on entitlement detail.
object
Issued quantity or usage limits.
Issued limit snapshot shown on entitlement detail.
object
Recent quantity ledger rows shown on the detail response.
Compact quantity ledger row shown on entitlement detail.
object
Covered resources attached to the entitlement.
Issued resource snapshot shown on entitlement detail.
object
Compact customer-owned entity instance reference.
object
Explicit beneficiaries attached to the entitlement.
Issued beneficiary snapshot shown on entitlement detail.
object
Compact customer-owned entity instance reference.
object
Renewal policy id captured from the plan at issue time.
Renewal policy key captured from the plan at issue time.
Lead time captured from the renewal policy at issue time.
External renewal policy key captured at issue time.
Server-computed runtime actions available on an entitlement detail.
object
Optimistic concurrency token for entitlement mutations.
object
object
object
object
Example
{ "Data": { "ModelType": 0, "Status": 0, "EffectiveState": 0, "SourceType": 0, "Periods": [ { "Status": 0 } ], "Limits": [ { "LimitFamily": 0 } ], "QuantityLedger": [ { "Operation": 0, "SourceType": 0 } ], "RenewalModeSnapshot": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}